aboutsummaryrefslogtreecommitdiffstats
path: root/run_test_deliverable.sh
diff options
context:
space:
mode:
authorYann Herklotz <ymherklotz@gmail.com>2017-03-27 16:47:29 +0100
committerYann Herklotz <ymherklotz@gmail.com>2017-03-27 16:47:29 +0100
commit77559b13dc6200a83808e5a592a67463b0e89598 (patch)
tree2f603993b63a184fe795d69d96ed559ab658cac2 /run_test_deliverable.sh
parentd860de923abeac05182e736cb67bb3615f5a71b4 (diff)
downloadCompiler-77559b13dc6200a83808e5a592a67463b0e89598.tar.gz
Compiler-77559b13dc6200a83808e5a592a67463b0e89598.zip
Changing declarations
Diffstat (limited to 'run_test_deliverable.sh')
-rwxr-xr-xrun_test_deliverable.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/run_test_deliverable.sh b/run_test_deliverable.sh
index bbb36b9..32809ff 100755
--- a/run_test_deliverable.sh
+++ b/run_test_deliverable.sh
@@ -35,11 +35,11 @@ for DRIVER in test_deliverable/testcases/*_driver.c ; do
fi
# Compile test function with compiler under test to assembly
- # cat $TESTCODE | $COMPILER > working/$NAME.s 2> working/${NAME}.compile.stderr
- # if [[ $? -ne 0 ]]; then
- # printf "\e[1;31mError\e[0m : Compiler returned error message.\n"
- # continue
- # fi
+ cat $TESTCODE | $COMPILER > working/$NAME.s 2> working/${NAME}.compile.stderr
+ if [[ $? -ne 0 ]]; then
+ printf "\e[1;31mError\e[0m : Compiler returned error message.\n"
+ continue
+ fi
# Link driver object and assembly into executable
mips-linux-gnu-gcc -static working/${NAME}.s working/${NAME}_driver.o -o working/${NAME}.elf 2> working/${NAME}.link.stderr